## skalibs 2.8.1.0

=== Makefile ===
#
# This Makefile requires GNU make.
#
# Do not make changes here.
# Use the included .mak files.
#

it: all

make_need := 3.81
ifeq "" "$(strip $(filter $(make_need), $(firstword $(sort $(make_need) $(MAKE_VERSION)))))"
fail := $(error Your make ($(MAKE_VERSION)) is too old. You need $(make_need) or newer)
endif

CC = $(error Please use ./configure first)

-include config.mak
include package/deps.mak

version_m := $(basename $(version))
version_M := $(basename $(version_m))
version_l := $(basename $(version_M))
CPPFLAGS_ALL := $(CPPFLAGS_AUTO) $(CPPFLAGS)
CFLAGS_ALL := $(CFLAGS_AUTO) $(CFLAGS)
LDFLAGS_ALL := $(LDFLAGS_AUTO) $(LDFLAGS)
LDLIBS_ALL := $(LDLIBS_AUTO) $(LDLIBS)
REALCC = $(CROSS_COMPILE)$(CC)
AR := $(CROSS_COMPILE)ar
RANLIB := $(CROSS_COMPILE)ranlib
STRIP := $(CROSS_COMPILE)strip
INSTALL := ./tools/install.sh

TYPES := size uid gid pid time dev ino

ALL_SRCS := $(wildcard src/lib*/*.c)
ALL_DOBJS := $(ALL_SRCS:%.c=%.lo)
ifeq ($(strip $(STATIC_LIBS_ARE_PIC)),)
ALL_SOBJS := $(ALL_SRCS:%.c=%.o)
CFLAGS_SHARED := -fPIC
else
ALL_SOBJS := $(ALL_DOBJS)
CFLAGS_SHARED :=
endif
ALL_LIBS := $(SHARED_LIBS) $(STATIC_LIBS)
BUILT_INCLUDES := \
src/include/$(package)/sysdeps.h \
src/include/$(package)/uint16.h \
src/include/$(package)/uint32.h \
src/include/$(package)/uint64.h \
src/include/$(package)/types.h \
src/include/$(package)/ip46.h
ALL_INCLUDES := $(sort $(BUILT_INCLUDES) $(wildcard src/include/$(package)/*.h))
ALL_SYSDEPS := $(wildcard $(sysdeps)/*)
ALL_DATA := $(wildcard src/etc/*)

all: $(ALL_LIBS) $(ALL_INCLUDES) $(ALL_SYSDEPS) $(ALL_DATA)

clean:
	@exec rm -f $(ALL_LIBS) $(ALL_BINS) $(ALL_SOBJS) $(ALL_DOBJS) $(BUILT_INCLUDES)

distclean: clean
	@exec rm -rf config.mak src/include/$(package)/config.h sysdeps.cfg

tgz: distclean
	@. package/info && \
	rm -rf /tmp/$$package-$$version && \
	cp -a . /tmp/$$package-$$version && \
	cd /tmp && \
	tar -zpcv --owner=0 --group=0 --numeric-owner --exclude=.git* -f /tmp/$$package-$$version.tar.gz $$package-$$version && \
	exec rm -rf /tmp/$$package-$$version

strip: $(ALL_LIBS)
ifneq ($(strip $(STATIC_LIBS)),)
	exec $(STRIP) -x -R .note -R .comment -R .note.GNU-stack $(STATIC_LIBS)
endif
ifneq ($(strip $(SHARED_LIBS)),)
	exec $(STRIP) -R .note -R .comment -R .note.GNU-stack $(SHARED_LIBS)
endif

install: install-data install-sysdeps install-dynlib install-lib install-include
install-data: $(ALL_DATA:src/etc/%=$(DESTDIR)$(datadir)/%)
install-sysdeps: $(ALL_SYSDEPS:$(sysdeps)/%=$(DESTDIR)$(sysdepdir)/%)
install-dynlib: $(SHARED_LIBS:lib%.so.xyzzy=$(DESTDIR)$(dynlibdir)/lib%.so)
install-lib: $(STATIC_LIBS:lib%.a.xyzzy=$(DESTDIR)$(libdir)/lib%.a)
install-include: $(ALL_INCLUDES:src/include/$(package)/%.h=$(DESTDIR)$(includedir)/$(package)/%.h)

ifneq ($(exthome),)

$(DESTDIR)$(exthome): $(DESTDIR)$(home)
	exec $(INSTALL) -l $(notdir $(home)) $(DESTDIR)$(exthome)

update: $(DESTDIR)$(exthome)

global-links: $(DESTDIR)$(exthome) $(SHARED_LIBS:lib%.so.xyzzy=$(DESTDIR)$(sproot)/library.so/lib%.so.$(version_M))

$(DESTDIR)$(sproot)/library.so/lib%.so.$(version_M): $(DESTDIR)$(home)/library.so/lib%.so.$(version_M)
	exec $(INSTALL) -D -l ..$(subst $(sproot),,$(exthome))/library.so/$(<F) $@

.PHONY: update global-links

endif

$(DESTDIR)$(datadir)/%: src/etc/%
	exec $(INSTALL) -D -m 644 $< $@

$(DESTDIR)$(sysdepdir)/%: $(sysdeps)/%
	exec $(INSTALL) -D -m 644 $< $@

$(DESTDIR)$(dynlibdir)/%.so: %.so.xyzzy
	$(INSTALL) -D -m 755 $< $@.$(version) && \
	$(INSTALL) -l $(@F).$(version) $@.$(version_m) && \
	$(INSTALL) -l $(@F).$(version_m) $@.$(version_M) && \
	exec $(INSTALL) -l $(@F).$(version_M) $@

$(DESTDIR)$(libdir)/lib%.a: lib%.a.xyzzy
	exec $(INSTALL) -D -m 644 $< $@

$(DESTDIR)$(includedir)/$(package)/%.h: src/include/$(package)/%.h
	exec $(INSTALL) -D -m 644 $< $@

%.o: %.c
	exec $(REALCC) $(CPPFLAGS_ALL) $(CFLAGS_ALL) -c -o $@ $<

%.lo: %.c
	exec $(REALCC) $(CPPFLAGS_ALL) $(CFLAGS_ALL) $(CFLAGS_SHARED) -c -o $@ $<

libskarnet.a.xyzzy: $(ALL_SOBJS)
	exec $(AR) rc $@ $^
	exec $(RANLIB) $@

libskarnet.so.xyzzy: $(ALL_DOBJS)
	exec $(REALCC) -o $@ $(CFLAGS_ALL) $(CFLAGS_SHARED) $(LDFLAGS_ALL) $(LDFLAGS_SHARED) -Wl,-soname,libskarnet.so.$(version_M) $^ $(SOCKET_LIB) $(SPAWN_LIB) $(SYSCLOCK_LIB) $(TAINNOW_LIB) $(TIMER_LIB) $(UTIL_LIB)

.PHONY: it all clean distclean tgz strip install install-data install-sysdeps install-dynlib install-lib install-include

.DELETE_ON_ERROR:

src/include/$(package)/sysdeps.h: $(sysdeps)/sysdeps.h
	exec cat < $< > $@

src/include/$(package)/uint16.h: $(sysdeps)/sysdeps src/headers/bits-header src/headers/bits-footer src/headers/bits-lendian src/headers/bits-bendian src/headers/bits-stdint src/headers/bits-template
	exec tools/gen-bits.sh $(sysdeps)/sysdeps 16 6 7 5 17 > $@

src/include/$(package)/uint32.h: $(sysdeps)/sysdeps src/headers/bits-header src/headers/bits-footer src/headers/bits-lendian src/headers/bits-bendian src/headers/bits-stdint src/headers/bits-template
	exec tools/gen-bits.sh $(sysdeps)/sysdeps 32 11 13 9 33 > $@

src/include/$(package)/uint64.h: $(sysdeps)/sysdeps src/headers/bits-header src/headers/bits-footer src/headers/bits-lendian src/headers/bits-bendian src/headers/bits-stdint src/headers/bits-template src/headers/uint64-ulong64 src/headers/uint64-noulong64
	exec tools/gen-bits.sh $(sysdeps)/sysdeps 64 21 25 17 65 > $@

src/include/$(package)/types.h: src/include/$(package)/uint16.h src/include/$(package)/uint32.h src/include/$(package)/uint64.h $(sysdeps)/sysdeps src/headers/types-header src/headers/types-footer src/headers/unsigned-template src/headers/signed-template
	exec tools/gen-types.sh $(sysdeps)/sysdeps $(TYPES) > $@

src/include/$(package)/ip46.h: src/include/$(package)/fmtscan.h src/include/$(package)/socket.h $(sysdeps)/sysdeps src/headers/ip46-header src/headers/ip46-footer src/headers/ip46-with src/headers/ip46-without
	@{ \
	  cat src/headers/ip46-header ; \
	  if $(ipv6) && grep -qF 'ipv6: yes' $(sysdeps)/sysdeps ; then cat src/headers/ip46-with ; \
	  else cat src/headers/ip46-without ; \
	  fi ; \
	  exec cat src/headers/ip46-footer ; \
	} > $@

=== debian/changelog ===
skalibs (2.8.1.0-2) sid; urgency=medium

  * Rebuild for sid

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 13 Aug 2019 22:50:03 +0800

skalibs (2.8.1.0-1) experimental; urgency=medium

  * New upstream release v2.8.1.0
  * Override dh_auto_configure with -arch suffix
    Fix -indep override not working
  * Bump SO version to 2.8
  * Bump debhelper to 12
  * debian/control: update Standards-Version to 4.4.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 11 Aug 2019 21:39:44 +0800

=== debian/control ===
Source: skalibs
Section: libs
Priority: optional
Maintainer: Shengjing Zhu <zhsj@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 12),
Standards-Version: 4.4.0
Homepage: https://skarnet.org/software/skalibs/
Vcs-Git: https://salsa.debian.org/zhsj/skalibs.git
Vcs-Browser: https://salsa.debian.org/zhsj/skalibs

Package: libskarnet2.8
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library used for building software at skarnet.org
 skalibs is a package centralizing the free software / open source C
 development files used for building all software at skarnet.org: it
 contains essentially general-purpose libraries. You will need to install
 skalibs if you plan to build skarnet.org software. The point is that you
 won't have to download and compile big libraries, and care about
 portability issues, every time you need to build a package: do it only
 once.
 .
 skalibs can also be used as a sound basic start for C development. There
 are a lot of general-purpose libraries out there; but if your main goal is
 to produce small and secure C code with a focus on system programming,
 skalibs might be for you.
 .
 This package contains shared libraries.

Package: skalibs-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libskarnet2.8 (= ${binary:Version}),
 ${misc:Depends},
Description: development files used for building software at skarnet.org
 skalibs is a package centralizing the free software / open source C
 development files used for building all software at skarnet.org: it
 contains essentially general-purpose libraries. You will need to install
 skalibs if you plan to build skarnet.org software. The point is that you
 won't have to download and compile big libraries, and care about
 portability issues, every time you need to build a package: do it only
 once.
 .
 skalibs can also be used as a sound basic start for C development. There
 are a lot of general-purpose libraries out there; but if your main goal is
 to produce small and secure C code with a focus on system programming,
 skalibs might be for you.
 .
 This package contains static and header files.

Package: skalibs-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: documentation of skalibs
 skalibs is a package centralizing the free software / open source C
 development files used for building all software at skarnet.org: it
 contains essentially general-purpose libraries. You will need to install
 skalibs if you plan to build skarnet.org software. The point is that you
 won't have to download and compile big libraries, and care about
 portability issues, every time you need to build a package: do it only
 once.
 .
 skalibs can also be used as a sound basic start for C development. There
 are a lot of general-purpose libraries out there; but if your main goal is
 to produce small and secure C code with a focus on system programming,
 skalibs might be for you.
 .
 This package contains documentation files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure-arch:
	dh_auto_configure -- --dynlibdir=\$${prefix}/lib/$(DEB_BUILD_MULTIARCH) \
		--libdir=\$${prefix}/lib/$(DEB_BUILD_MULTIARCH) \
		--includedir=\$${prefix}/include/$(DEB_BUILD_MULTIARCH) \
		--sysdepdir=\$${prefix}/lib/$(DEB_BUILD_MULTIARCH)/skalibs/sysdeps

override_dh_auto_configure-indep:
override_dh_auto_build-indep:
override_dh_auto_install-indep:
	mkdir -p debian/tmp/usr/share/doc/skalibs
	cp -aT doc debian/tmp/usr/share/doc/skalibs

## skalibs 2.9.1.0

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,6 @@
 CFLAGS_ALL := $(CFLAGS_AUTO) $(CFLAGS)
 LDFLAGS_ALL := $(LDFLAGS_AUTO) $(LDFLAGS)
 LDLIBS_ALL := $(LDLIBS_AUTO) $(LDLIBS)
-REALCC = $(CROSS_COMPILE)$(CC)
 AR := $(CROSS_COMPILE)ar
 RANLIB := $(CROSS_COMPILE)ranlib
 STRIP := $(CROSS_COMPILE)strip
@@ -32,7 +31,7 @@
 
 TYPES := size uid gid pid time dev ino
 
-ALL_SRCS := $(wildcard src/lib*/*.c)
+ALL_SRCS := $(sort $(wildcard src/lib*/*.c))
 ALL_DOBJS := $(ALL_SRCS:%.c=%.lo)
 ifeq ($(strip $(STATIC_LIBS_ARE_PIC)),)
 ALL_SOBJS := $(ALL_SRCS:%.c=%.o)
@@ -119,32 +118,32 @@
 	exec $(INSTALL) -D -m 644 $< $@
 
 %.o: %.c
-	exec $(REALCC) $(CPPFLAGS_ALL) $(CFLAGS_ALL) -c -o $@ $<
+	exec $(CC) $(CPPFLAGS_ALL) $(CFLAGS_ALL) -c -o $@ $<
 
 %.lo: %.c
-	exec $(REALCC) $(CPPFLAGS_ALL) $(CFLAGS_ALL) $(CFLAGS_SHARED) -c -o $@ $<
+	exec $(CC) $(CPPFLAGS_ALL) $(CFLAGS_ALL) $(CFLAGS_SHARED) -c -o $@ $<
 
 libskarnet.a.xyzzy: $(ALL_SOBJS)
 	exec $(AR) rc $@ $^
 	exec $(RANLIB) $@
 
 libskarnet.so.xyzzy: $(ALL_DOBJS)
-	exec $(REALCC) -o $@ $(CFLAGS_ALL) $(CFLAGS_SHARED) $(LDFLAGS_ALL) $(LDFLAGS_SHARED) -Wl,-soname,libskarnet.so.$(version_M) $^ $(SOCKET_LIB) $(SPAWN_LIB) $(SYSCLOCK_LIB) $(TAINNOW_LIB) $(TIMER_LIB) $(UTIL_LIB)
+	exec $(CC) -o $@ $(CFLAGS_ALL) $(CFLAGS_SHARED) $(LDFLAGS_ALL) $(LDFLAGS_SHARED) -Wl,-soname,libskarnet.so.$(version_M) $^ $(SOCKET_LIB) $(SPAWN_LIB) $(SYSCLOCK_LIB) $(TAINNOW_LIB) $(TIMER_LIB) $(UTIL_LIB)
 
 .PHONY: it all clean distclean tgz strip install install-data install-sysdeps install-dynlib install-lib install-include
 
 .DELETE_ON_ERROR:
 
-src/include/$(package)/sysdeps.h: $(sysdeps)/sysdeps.h
-	exec cat < $< > $@
+src/include/$(package)/sysdeps.h: $(sysdeps)/sysdeps $(sysdeps)/target
+	exec tools/gen-sysdepsh.sh `cat $(sysdeps)/target` < $(sysdeps)/sysdeps > $@
 
-src/include/$(package)/uint16.h: $(sysdeps)/sysdeps src/headers/bits-header src/headers/bits-footer src/headers/bits-lendian src/headers/bits-bendian src/headers/bits-stdint src/headers/bits-template
+src/include/$(package)/uint16.h: $(sysdeps)/sysdeps src/headers/bits-header src/headers/bits-footer src/headers/bits-lendian src/headers/bits-bendian src/headers/bits-template src/headers/uint64-include src/include/$(package)/uint64.h
 	exec tools/gen-bits.sh $(sysdeps)/sysdeps 16 6 7 5 17 > $@
 
-src/include/$(package)/uint32.h: $(sysdeps)/sysdeps src/headers/bits-header src/headers/bits-footer src/headers/bits-lendian src/headers/bits-bendian src/headers/bits-stdint src/headers/bits-template
+src/include/$(package)/uint32.h: $(sysdeps)/sysdeps src/headers/bits-header src/headers/bits-footer src/headers/bits-lendian src/headers/bits-bendian src/headers/bits-template src/headers/uint64-include src/include/$(package)/uint64.h
 	exec tools/gen-bits.sh $(sysdeps)/sysdeps 32 11 13 9 33 > $@
 
-src/include/$(package)/uint64.h: $(sysdeps)/sysdeps src/headers/bits-header src/headers/bits-footer src/headers/bits-lendian src/headers/bits-bendian src/headers/bits-stdint src/headers/bits-template src/headers/uint64-ulong64 src/headers/uint64-noulong64
+src/include/$(package)/uint64.h: $(sysdeps)/sysdeps src/headers/bits-header src/headers/bits-footer src/headers/bits-lendian src/headers/bits-bendian src/headers/bits-template src/headers/uint64-ulong64 src/headers/uint64-noulong64 src/headers/uint64-defs src/headers/uint64-macros
 	exec tools/gen-bits.sh $(sysdeps)/sysdeps 64 21 25 17 65 > $@
 
 src/include/$(package)/types.h: src/include/$(package)/uint16.h src/include/$(package)/uint32.h src/include/$(package)/uint64.h $(sysdeps)/sysdeps src/headers/types-header src/headers/types-footer src/headers/unsigned-template src/headers/signed-template

=== debian/changelog ===
skalibs (2.9.1.0-4) unstable; urgency=medium

  * Add --fatal-warnings to all architectures.
    Hurd also has false positive without this option

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 23 Oct 2019 22:51:29 +0800

skalibs (2.9.1.0-3) unstable; urgency=medium

  * Fix guessing system features on kfreebsd, fail with link warning

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 23 Oct 2019 02:30:24 +0800

skalibs (2.9.1.0-2) unstable; urgency=medium

  * Add patch to fix build on kfreebsd-any

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 23 Oct 2019 00:08:45 +0800

skalibs (2.9.1.0-1) unstable; urgency=medium

  * New Upstream release v2.9.1.0
  * Revert build hack for hurd-i386, fixed in upstream new release
  * Update symbols for new version

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 22 Oct 2019 22:49:44 +0800

skalibs (2.9.0.0-4) unstable; urgency=medium

  * Fix build issue on hurd-i386

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 14 Oct 2019 03:36:12 +0800

skalibs (2.9.0.0-3) unstable; urgency=medium

  * Fix libskarnet symbols on kfreebsd-any

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 14 Oct 2019 00:13:14 +0800

skalibs (2.9.0.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.1 (no changes)
  * Release v2.9.0.0 to sid

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 13 Oct 2019 17:34:22 +0800

skalibs (2.9.0.0-1) experimental; urgency=medium

  * New Upstream release v2.9.0.0
  * debian/rules: fix cross build
  * Bump SO version to 2.9

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 23 Sep 2019 13:56:03 +0800

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 12),
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://skarnet.org/software/skalibs/
 Vcs-Git: https://salsa.debian.org/zhsj/skalibs.git
 Vcs-Browser: https://salsa.debian.org/zhsj/skalibs
 
-Package: libskarnet2.8
+Package: libskarnet2.9
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -37,7 +37,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libskarnet2.8 (= ${binary:Version}),
+ libskarnet2.9 (= ${binary:Version}),
  ${misc:Depends},
 Description: development files used for building software at skarnet.org
  skalibs is a package centralizing the free software / open source C

## skalibs 2.9.2.1

=== debian/changelog ===
skalibs (2.9.2.1-1) unstable; urgency=medium

  * New upstream release v2.9.2.1
  * Remove patch applied in new release

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 06 Apr 2020 21:08:38 +0800

skalibs (2.9.2.0-3) unstable; urgency=medium

  * Add patch to fix s6 FTBFS on hurd

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 21 Mar 2020 21:55:53 +0800

skalibs (2.9.2.0-2) unstable; urgency=medium

  * Fix symbols on hurd

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 14 Mar 2020 20:17:07 +0800

skalibs (2.9.2.0-1) unstable; urgency=medium

  * New upstream release v2.9.2.0
  * Update Standards-Version to 4.5.0 (no changes)
  * Remove 0001-fix-library-symlink-referencing.patch
  * Update symbols for 2.9.2.0

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 08 Mar 2020 04:40:17 +0800

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 12),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://skarnet.org/software/skalibs/
 Vcs-Git: https://salsa.debian.org/zhsj/skalibs.git
 Vcs-Browser: https://salsa.debian.org/zhsj/skalibs

## skalibs 2.9.3.0

=== debian/changelog ===
skalibs (2.9.3.0-1) unstable; urgency=medium

  * New upstream release v2.9.3.0
  * Bump debhelper-compat to 13
  * Add new symbol to libskarnet2.9.symbols

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 05 Oct 2020 13:51:30 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
 Standards-Version: 4.5.0
 Homepage: https://skarnet.org/software/skalibs/
 Vcs-Git: https://salsa.debian.org/zhsj/skalibs.git

## skalibs 2.10.0.1

=== debian/changelog ===
skalibs (2.10.0.1-1) unstable; urgency=medium

  * New upstream release v2.10.0.1

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 21 Jan 2021 15:33:03 +0800

skalibs (2.10.0.0-1) experimental; urgency=medium

  * New upstream release v2.10.0.0
  * Bump SO version to 2.10
  * Bump Standards-Version to 4.5.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 11 Jan 2021 10:24:26 +0800

## skalibs 2.10.0.2

=== Makefile ===
--- 
+++ 
@@ -92,7 +92,7 @@
 
 global-links: $(DESTDIR)$(exthome) $(SHARED_LIBS:lib%.so.xyzzy=$(DESTDIR)$(sproot)/library.so/lib%.so.$(version_M))
 
-$(DESTDIR)$(sproot)/library.so/lib%.so.$(version_M): $(DESTDIR)$(home)/library.so/lib%.so.$(version_M)
+$(DESTDIR)$(sproot)/library.so/lib%.so.$(version_M): $(DESTDIR)$(dynlibdir)/lib%.so.$(version_M)
 	exec $(INSTALL) -D -l ..$(subst $(sproot),,$(exthome))/library.so/$(<F) $@
 
 .PHONY: update global-links
@@ -105,10 +105,9 @@
 $(DESTDIR)$(sysdepdir)/%: $(sysdeps)/%
 	exec $(INSTALL) -D -m 644 $< $@
 
-$(DESTDIR)$(dynlibdir)/%.so: %.so.xyzzy
+$(DESTDIR)$(dynlibdir)/lib%.so $(DESTDIR)$(dynlibdir)/lib%.so.$(version_M): lib%.so.xyzzy
 	$(INSTALL) -D -m 755 $< $@.$(version) && \
-	$(INSTALL) -l $(@F).$(version) $@.$(version_m) && \
-	$(INSTALL) -l $(@F).$(version_m) $@.$(version_M) && \
+	$(INSTALL) -l $(@F).$(version) $@.$(version_M) && \
 	exec $(INSTALL) -l $(@F).$(version_M) $@
 
 $(DESTDIR)$(libdir)/lib%.a: lib%.a.xyzzy

=== debian/changelog ===
skalibs (2.10.0.2-1.0antix1) unstable; urgency=medium

  * antiX build to work with 66 

 -- anticapitalista <antix@operamail.com>  Fri, 26 Feb 2021 14:53:28 +0200

skalibs (2.10.0.2-1) unstable; urgency=medium

  * New upstream release v2.10.0.2

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 16 Feb 2021 22:41:16 +0800

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: skalibs
 Section: libs
 Priority: optional
-Maintainer: Shengjing Zhu <zhsj@debian.org>
+Maintainer: anticapitalista <anticapitalista@riseup.net>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 13),
-Standards-Version: 4.5.0
+ debhelper-compat (= 12),
+Standards-Version: 4.5.1
 Homepage: https://skarnet.org/software/skalibs/
 Vcs-Git: https://salsa.debian.org/zhsj/skalibs.git
 Vcs-Browser: https://salsa.debian.org/zhsj/skalibs
 
-Package: libskarnet2.9
+Package: libskarnet2.10
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -37,7 +37,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libskarnet2.9 (= ${binary:Version}),
+ libskarnet2.10 (= ${binary:Version}),
  ${misc:Depends},
 Description: development files used for building software at skarnet.org
  skalibs is a package centralizing the free software / open source C

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export LDFLAGS += -Wl,--fatal-warnings

CONFIG_OPT += --dynlibdir=\$${prefix}/lib
CONFIG_OPT += --libdir=\$${prefix}/lib
CONFIG_OPT += --includedir=\$${prefix}/include/
CONFIG_OPT += --sysdepdir=\$${prefix}/lib/skalibs/sysdeps

ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
CONFIG_OPT += --with-sysdep-devurandom=yes
endif

%:
	dh $@

override_dh_auto_configure-arch:
	./tools/gen-deps.sh > package/deps.mak
	dh_auto_configure -- $(CONFIG_OPT)

override_dh_auto_configure-indep:
override_dh_auto_build-indep:
override_dh_auto_install-indep:
	mkdir -p debian/tmp/usr/share/doc/skalibs
	cp -aT doc debian/tmp/usr/share/doc/skalibs

## skalibs 2.11.0.0

=== debian/changelog ===
skalibs (2.11.0.0-2) unstable; urgency=medium

  * Upload to unstable
  * Refresh symbols for hurd

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 08 Oct 2021 22:47:21 +0800

skalibs (2.11.0.0-1) experimental; urgency=medium

  * New upstream release v2.11.0.0
  * Bump SO version to 2.11

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 27 Sep 2021 03:50:27 +0800

skalibs (2.10.0.3-1) unstable; urgency=medium

  * New upstream release v2.10.0.3
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 23 Aug 2021 23:18:53 +0800

## skalibs 2.11.1.0

=== Makefile ===
--- 
+++ 
@@ -70,10 +70,10 @@
 
 strip: $(ALL_LIBS)
 ifneq ($(strip $(STATIC_LIBS)),)
-	exec $(STRIP) -x -R .note -R .comment -R .note.GNU-stack $(STATIC_LIBS)
+	exec $(STRIP) -x -R .note -R .comment $(STATIC_LIBS)
 endif
 ifneq ($(strip $(SHARED_LIBS)),)
-	exec $(STRIP) -R .note -R .comment -R .note.GNU-stack $(SHARED_LIBS)
+	exec $(STRIP) -R .note -R .comment $(SHARED_LIBS)
 endif
 
 install: install-data install-sysdeps install-dynlib install-lib install-include

=== debian/changelog ===
skalibs (2.11.1.0-1) unstable; urgency=medium

  * New upstream release v2.11.1.0
  * Refresh symbols file

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 21 Dec 2021 23:07:59 +0800

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: skalibs
 Section: libs
 Priority: optional
-Maintainer: anticapitalista <anticapitalista@riseup.net>
+Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
-Standards-Version: 4.5.1
+ debhelper-compat (= 13),
+Standards-Version: 4.6.0
 Homepage: https://skarnet.org/software/skalibs/
 Vcs-Git: https://salsa.debian.org/zhsj/skalibs.git
 Vcs-Browser: https://salsa.debian.org/zhsj/skalibs
 
-Package: libskarnet2.10
+Package: libskarnet2.11
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -37,7 +37,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libskarnet2.10 (= ${binary:Version}),
+ libskarnet2.11 (= ${binary:Version}),
  ${misc:Depends},
 Description: development files used for building software at skarnet.org
  skalibs is a package centralizing the free software / open source C

## skalibs 2.11.2.0

=== debian/changelog ===
skalibs (2.11.2.0-1) unstable; urgency=medium

  * New upstream release v2.11.2.0
  * Refresh symbols file

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 11 Mar 2022 22:43:04 +0800

## skalibs 2.12.0.0

=== debian/changelog ===
skalibs (2.12.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 15 Jun 2022 23:00:57 +0800

skalibs (2.12.0.0-1) experimental; urgency=medium

  * New upstream release v2.12.0.0
  * Bump SO version to 2.12
  * Update Standards-Version to 4.6.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 14 Jun 2022 23:07:38 +0800

## skalibs 2.12.0.1

=== debian/changelog ===
skalibs (2.12.0.1-1) unstable; urgency=medium

  * New upstream release v2.12.0.1

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 16 Jul 2022 20:42:17 +0800

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://skarnet.org/software/skalibs/
 Vcs-Git: https://salsa.debian.org/zhsj/skalibs.git
 Vcs-Browser: https://salsa.debian.org/zhsj/skalibs
 
-Package: libskarnet2.11
+Package: libskarnet2.12
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -37,7 +37,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libskarnet2.11 (= ${binary:Version}),
+ libskarnet2.12 (= ${binary:Version}),
  ${misc:Depends},
 Description: development files used for building software at skarnet.org
  skalibs is a package centralizing the free software / open source C

## skalibs 2.13.0.0

=== debian/changelog ===
skalibs (2.13.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 17 Jan 2023 14:35:53 +0800

skalibs (2.13.0.0-1) experimental; urgency=medium

  * New upstream release v2.13.0.0
  * Update Standards-Version to 4.6.2 (no changes)
  * Bump SO version to 2.13

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 14 Jan 2023 19:21:39 +0800

## skalibs 2.13.1.0

=== debian/changelog ===
skalibs (2.13.1.0-1) unstable; urgency=medium

  * New upstream release v2.13.1.0
  * Refresh symbols file

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 18 Feb 2023 21:50:20 +0800

## skalibs 2.13.1.1

=== debian/changelog ===
skalibs (2.13.1.1-1) unstable; urgency=medium

  * New upstream release v2.13.1.1

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 05 Apr 2023 22:59:53 +0800

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://skarnet.org/software/skalibs/
 Vcs-Git: https://salsa.debian.org/zhsj/skalibs.git
 Vcs-Browser: https://salsa.debian.org/zhsj/skalibs
 
-Package: libskarnet2.12
+Package: libskarnet2.13
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -37,7 +37,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libskarnet2.12 (= ${binary:Version}),
+ libskarnet2.13 (= ${binary:Version}),
  ${misc:Depends},
 Description: development files used for building software at skarnet.org
  skalibs is a package centralizing the free software / open source C

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,10 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export LDFLAGS += -Wl,--fatal-warnings
 
-CONFIG_OPT += --dynlibdir=\$${prefix}/lib
-CONFIG_OPT += --libdir=\$${prefix}/lib
-CONFIG_OPT += --includedir=\$${prefix}/include/
-CONFIG_OPT += --sysdepdir=\$${prefix}/lib/skalibs/sysdeps
+CONFIG_OPT += --dynlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+CONFIG_OPT += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+CONFIG_OPT += --includedir=\$${prefix}/include/$(DEB_HOST_MULTIARCH)
+CONFIG_OPT += --sysdepdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/skalibs/sysdeps
 
 ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
 CONFIG_OPT += --with-sysdep-devurandom=yes

## skalibs 2.14.0.0

=== Makefile ===
--- 
+++ 
@@ -7,14 +7,16 @@
 
 it: all
 
+ifeq ($(realpath config.mak),)
+$(error Missing config.mak; please use ./configure first)
+endif
+
 make_need := 3.81
 ifeq "" "$(strip $(filter $(make_need), $(firstword $(sort $(make_need) $(MAKE_VERSION)))))"
-fail := $(error Your make ($(MAKE_VERSION)) is too old. You need $(make_need) or newer)
+$(error Your make ($(MAKE_VERSION)) is too old. You need $(make_need) or newer)
 endif
 
-CC = $(error Please use ./configure first)
-
--include config.mak
+include config.mak
 include package/deps.mak
 
 version_m := $(basename $(version))
@@ -76,8 +78,8 @@
 	exec $(STRIP) -R .note -R .comment $(SHARED_LIBS)
 endif
 
-install: install-data install-sysdeps install-dynlib install-lib install-include
-install-data: $(ALL_DATA:src/etc/%=$(DESTDIR)$(datadir)/%)
+install: install-sysconf install-sysdeps install-dynlib install-lib install-include
+install-sysconf: $(ALL_DATA:src/etc/%=$(DESTDIR)$(sysconfdir)/%)
 install-sysdeps: $(ALL_SYSDEPS:$(sysdeps)/%=$(DESTDIR)$(sysdepdir)/%)
 install-dynlib: $(SHARED_LIBS:lib%.so.xyzzy=$(DESTDIR)$(dynlibdir)/lib%.so)
 install-lib: $(STATIC_LIBS:lib%.a.xyzzy=$(DESTDIR)$(libdir)/lib%.a)
@@ -99,7 +101,7 @@
 
 endif
 
-$(DESTDIR)$(datadir)/%: src/etc/%
+$(DESTDIR)$(sysconfdir)/%: src/etc/%
 	exec $(INSTALL) -D -m 644 $< $@
 
 $(DESTDIR)$(sysdepdir)/%: $(sysdeps)/%
@@ -136,13 +138,13 @@
 src/include/$(package)/sysdeps.h: $(sysdeps)/sysdeps $(sysdeps)/target
 	exec tools/gen-sysdepsh.sh `cat $(sysdeps)/target` < $(sysdeps)/sysdeps > $@
 
-src/include/$(package)/uint16.h: $(sysdeps)/sysdeps src/headers/bits-header src/headers/bits-footer src/headers/bits-lendian src/headers/bits-bendian src/headers/bits-template src/headers/uint64-include src/include/$(package)/uint64.h
+src/include/$(package)/uint16.h: $(sysdeps)/sysdeps src/headers/uint16-bswap src/headers/bits-header src/headers/bits-footer src/headers/bits-lendian src/headers/bits-bendian src/headers/bits-template src/headers/uint64-include src/include/$(package)/uint64.h
 	exec tools/gen-bits.sh $(sysdeps)/sysdeps 16 6 7 5 17 > $@
 
-src/include/$(package)/uint32.h: $(sysdeps)/sysdeps src/headers/bits-header src/headers/bits-footer src/headers/bits-lendian src/headers/bits-bendian src/headers/bits-template src/headers/uint64-include src/include/$(package)/uint64.h
+src/include/$(package)/uint32.h: $(sysdeps)/sysdeps src/headers/uint32-bswap src/headers/bits-header src/headers/bits-footer src/headers/bits-lendian src/headers/bits-bendian src/headers/bits-template src/headers/uint64-include src/include/$(package)/uint64.h
 	exec tools/gen-bits.sh $(sysdeps)/sysdeps 32 11 13 9 33 > $@
 
-src/include/$(package)/uint64.h: $(sysdeps)/sysdeps src/headers/bits-header src/headers/bits-footer src/headers/bits-lendian src/headers/bits-bendian src/headers/bits-template src/headers/uint64-ulong64 src/headers/uint64-noulong64 src/headers/uint64-defs src/headers/uint64-macros
+src/include/$(package)/uint64.h: $(sysdeps)/sysdeps src/headers/uint64-bswap src/headers/bits-header src/headers/bits-footer src/headers/bits-lendian src/headers/bits-bendian src/headers/bits-template src/headers/uint64-ulong64 src/headers/uint64-noulong64 src/headers/uint64-defs src/headers/uint64-macros
 	exec tools/gen-bits.sh $(sysdeps)/sysdeps 64 21 25 17 65 > $@
 
 src/include/$(package)/types.h: src/include/$(package)/uint16.h src/include/$(package)/uint32.h src/include/$(package)/uint64.h $(sysdeps)/sysdeps src/headers/types-header src/headers/types-footer src/headers/unsigned-template src/headers/signed-template

=== debian/changelog ===
skalibs (2.14.0.0-3) unstable; urgency=medium

  * Fix building on arch:all

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 08 Nov 2023 15:20:50 +0800

skalibs (2.14.0.0-2) unstable; urgency=medium

  * Refresh symbols file for hurd-any

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 08 Nov 2023 05:45:26 +0800

skalibs (2.14.0.0-1) unstable; urgency=medium

  * New upstream release v2.14.0.0
  * Bump SO version to 2.14
  * Generate config.mak before running dh_auto_clean
  * Refresh symbols file

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 07 Nov 2023 03:22:17 +0800

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Vcs-Git: https://salsa.debian.org/zhsj/skalibs.git
 Vcs-Browser: https://salsa.debian.org/zhsj/skalibs
 
-Package: libskarnet2.13
+Package: libskarnet2.14
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -37,7 +37,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libskarnet2.13 (= ${binary:Version}),
+ libskarnet2.14 (= ${binary:Version}),
  ${misc:Depends},
 Description: development files used for building software at skarnet.org
  skalibs is a package centralizing the free software / open source C

## skalibs 2.14.1.0

=== debian/changelog ===
skalibs (2.14.1.0-1.0antix1) unstable; urgency=medium

  * antiX build

 -- anticapitalista <antix@operamail.com>  Sat, 20 Jan 2024 20:24:18 +0200

skalibs (2.14.1.0-1) unstable; urgency=medium

  * New upstream version 2.14.1.0

 -- Aitor <aitor_czr@gnuinos.org>  Sun, 07 Jan 2024 13:03:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: skalibs
 Section: libs
 Priority: optional
-Maintainer: Shengjing Zhu <zhsj@debian.org>
+Maintainer: Aitor <aitor_czr@gnuinos.org>
+Uploaders: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),

## skalibs 2.14.1.0experimental1

=== debian/changelog ===
skalibs (2.14.1.0experimental1-1) UNRELEASED; urgency=high

  * New upstream version 2.14.1.0

 -- Prowler_Gr@yahoo.gr <Prowler73@gmail.com>  Fri, 26 Jan 2024 22:22:22 +1000

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,22 @@
 #!/usr/bin/make -f
 
-include /usr/share/dpkg/default.mk
+# See debhelper(7) (uncomment to enable)
+# output every command that modifies files on the build system.
+export DH_VERBOSE = 1
+
+# see FEATURE AREAS in dpkg-buildflags(1):
+# - https://wiki.debian.org/Hardening#dpkg-buildflags
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export LDFLAGS += -Wl,--fatal-warnings
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/default.mk
 
 CONFIG_OPT += --dynlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 CONFIG_OPT += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
-CONFIG_OPT += --includedir=\$${prefix}/include/$(DEB_HOST_MULTIARCH)
+CONFIG_OPT += --includedir=\$${prefix}/include
 CONFIG_OPT += --sysdepdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/skalibs/sysdeps
 
 ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
@@ -16,7 +25,7 @@
 
 %:
 	dh $@
-
+	
 override_dh_auto_configure-arch:
 	./tools/gen-deps.sh > package/deps.mak
 	dh_auto_configure -- $(CONFIG_OPT)

## skalibs 2.14.1.1

=== Makefile ===
--- 
+++ 
@@ -7,16 +7,14 @@
 
 it: all
 
-ifeq ($(realpath config.mak),)
-$(error Missing config.mak; please use ./configure first)
-endif
-
 make_need := 3.81
 ifeq "" "$(strip $(filter $(make_need), $(firstword $(sort $(make_need) $(MAKE_VERSION)))))"
 $(error Your make ($(MAKE_VERSION)) is too old. You need $(make_need) or newer)
 endif
 
-include config.mak
+CC = $(error Please use ./configure first)
+
+-include config.mak
 include package/deps.mak
 
 version_m := $(basename $(version))
@@ -150,7 +148,7 @@
 src/include/$(package)/types.h: src/include/$(package)/uint16.h src/include/$(package)/uint32.h src/include/$(package)/uint64.h $(sysdeps)/sysdeps src/headers/types-header src/headers/types-footer src/headers/unsigned-template src/headers/signed-template
 	exec tools/gen-types.sh $(sysdeps)/sysdeps $(TYPES) > $@
 
-src/include/$(package)/ip46.h: src/include/$(package)/fmtscan.h src/include/$(package)/socket.h $(sysdeps)/sysdeps src/headers/ip46-header src/headers/ip46-footer src/headers/ip46-with src/headers/ip46-without
+src/include/$(package)/ip46.h: src/include/$(package)/fmtscan.h src/include/$(package)/tai.h src/include/$(package)/socket.h $(sysdeps)/sysdeps src/headers/ip46-header src/headers/ip46-footer src/headers/ip46-with src/headers/ip46-without
 	@{ \
 	  cat src/headers/ip46-header ; \
 	  if $(ipv6) && grep -qF 'ipv6: yes' $(sysdeps)/sysdeps ; then cat src/headers/ip46-with ; \

=== debian/changelog ===
skalibs (2.14.1.1-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:44:29 +1100

skalibs (2.14.1.1-1) unstable; urgency=medium

  * New upstream release v2.14.1.1
  * Refresh symbols file

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 01 Mar 2024 00:23:15 +0800

skalibs (2.14.0.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062900

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 16:08:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,24 @@
 Source: skalibs
 Section: libs
 Priority: optional
-Maintainer: Aitor <aitor_czr@gnuinos.org>
-Uploaders: Shengjing Zhu <zhsj@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
+ dpkg-dev (>= 1.22.5),
 Standards-Version: 4.6.2
 Homepage: https://skarnet.org/software/skalibs/
 Vcs-Git: https://salsa.debian.org/zhsj/skalibs.git
 Vcs-Browser: https://salsa.debian.org/zhsj/skalibs
 
-Package: libskarnet2.14
+Package: libskarnet2.14t64
+Provides:
+ ${t64:Provides},
+Replaces:
+ libskarnet2.14,
+Breaks:
+ libskarnet2.14 (<< ${source:Version}),
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -38,7 +45,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libskarnet2.14 (= ${binary:Version}),
+ libskarnet2.14t64 (= ${binary:Version}),
  ${misc:Depends},
 Description: development files used for building software at skarnet.org
  skalibs is a package centralizing the free software / open source C

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export LDFLAGS += -Wl,--fatal-warnings

CONFIG_OPT += --dynlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --includedir=\$${prefix}/include/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --sysdepdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/skalibs/sysdeps

ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
CONFIG_OPT += --with-sysdep-devurandom=yes
endif

%:
	dh $@

# `make distclean` needs config.mak file
override_dh_auto_clean-arch:
	./configure
	dh_auto_clean

override_dh_auto_configure-arch:
	./tools/gen-deps.sh > package/deps.mak
	dh_auto_configure -- $(CONFIG_OPT)

override_dh_auto_clean-indep:
override_dh_auto_configure-indep:
override_dh_auto_build-indep:
override_dh_auto_test-indep:
override_dh_auto_install-indep:
	mkdir -p debian/tmp/usr/share/doc/skalibs
	cp -aT doc debian/tmp/usr/share/doc/skalibs

## skalibs 2.14.1.1experimental1

=== debian/changelog ===
skalibs (2.14.1.1experimental1-1) UNRELEASED; urgency=high

  * New upstream version 2.14.1.1

 -- Prowler_Gr@yahoo.gr <Prowler73@gmail.com>  Sat, 27 Apr 2024 22:22:22 +1000

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,17 @@
 Source: skalibs
-Section: libs
+Section: s6-experimental
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Shengjing Zhu <zhsj@debian.org>
+Maintainer: Prowler_Gr@yahoo.gr <Prowler73@gmail.com>
+Uploaders: Prowler_Gr@yahoo.gr <Prowler73@gmail.com>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- dpkg-dev (>= 1.22.5),
 Standards-Version: 4.6.2
 Homepage: https://skarnet.org/software/skalibs/
 Vcs-Git: https://salsa.debian.org/zhsj/skalibs.git
 Vcs-Browser: https://salsa.debian.org/zhsj/skalibs
 
-Package: libskarnet2.14t64
-Provides:
- ${t64:Provides},
-Replaces:
- libskarnet2.14,
-Breaks:
- libskarnet2.14 (<< ${source:Version}),
+Package: libskarnet2.14
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -42,10 +35,10 @@
 
 Package: skalibs-dev
 Architecture: any
-Section: libdevel
+Section: s6-experimental
 Multi-Arch: same
 Depends:
- libskarnet2.14t64 (= ${binary:Version}),
+ libskarnet2.14 (= ${binary:Version}),
  ${misc:Depends},
 Description: development files used for building software at skarnet.org
  skalibs is a package centralizing the free software / open source C
@@ -65,7 +58,7 @@
 
 Package: skalibs-doc
 Architecture: all
-Section: doc
+Section: s6-experimental
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},

## skalibs 2.14.2.0

=== debian/changelog ===
skalibs (2.14.2.0-1) unstable; urgency=medium

  [ Shengjing Zhu ]
  * New upstream release v2.14.2.0
  * Refresh symbols file

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1064236)
    + Do not pass host compiler flags to native configure during clean.
    + Pass --build and --host to configure.
    + Seed result of posixspawnearlyreturn: We do not work with old glibc.

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 15 Jun 2024 16:38:16 +0800

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,23 @@
 Source: skalibs
-Section: s6-experimental
+Section: libs
 Priority: optional
-Maintainer: Prowler_Gr@yahoo.gr <Prowler73@gmail.com>
-Uploaders: Prowler_Gr@yahoo.gr <Prowler73@gmail.com>
+Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
+ dpkg-dev (>= 1.22.5),
 Standards-Version: 4.6.2
 Homepage: https://skarnet.org/software/skalibs/
 Vcs-Git: https://salsa.debian.org/zhsj/skalibs.git
 Vcs-Browser: https://salsa.debian.org/zhsj/skalibs
 
-Package: libskarnet2.14
+Package: libskarnet2.14t64
+Provides:
+ ${t64:Provides},
+Replaces:
+ libskarnet2.14,
+Breaks:
+ libskarnet2.14 (<< ${source:Version}),
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -35,10 +41,10 @@
 
 Package: skalibs-dev
 Architecture: any
-Section: s6-experimental
+Section: libdevel
 Multi-Arch: same
 Depends:
- libskarnet2.14 (= ${binary:Version}),
+ libskarnet2.14t64 (= ${binary:Version}),
  ${misc:Depends},
 Description: development files used for building software at skarnet.org
  skalibs is a package centralizing the free software / open source C
@@ -58,7 +64,7 @@
 
 Package: skalibs-doc
 Architecture: all
-Section: s6-experimental
+Section: doc
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},

## skalibs 2.14.3.0

=== Makefile ===
--- 
+++ 
@@ -11,8 +11,6 @@
 ifeq "" "$(strip $(filter $(make_need), $(firstword $(sort $(make_need) $(MAKE_VERSION)))))"
 $(error Your make ($(MAKE_VERSION)) is too old. You need $(make_need) or newer)
 endif
-
-CC = $(error Please use ./configure first)
 
 -include config.mak
 include package/deps.mak
@@ -52,7 +50,7 @@
 ALL_SYSDEPS := $(wildcard $(sysdeps)/*)
 ALL_DATA := $(wildcard src/etc/*)
 
-all: $(ALL_LIBS) $(ALL_INCLUDES) $(ALL_SYSDEPS) $(ALL_DATA)
+all: config.mak $(ALL_LIBS) $(ALL_INCLUDES) $(ALL_SYSDEPS) $(ALL_DATA)
 
 clean:
 	@exec rm -f $(ALL_LIBS) $(ALL_BINS) $(ALL_SOBJS) $(ALL_DOBJS) $(BUILT_INCLUDES)

=== debian/changelog ===
skalibs (2.14.3.0-1) unstable; urgency=medium

  * New upstream release v2.14.3.0
  * Bump Standards-Version to 4.7.0 (no changes)
  * Refresh symbols file

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 10 Oct 2024 03:19:55 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dpkg-dev (>= 1.22.5),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://skarnet.org/software/skalibs/
 Vcs-Git: https://salsa.debian.org/zhsj/skalibs.git
 Vcs-Browser: https://salsa.debian.org/zhsj/skalibs

=== debian/tests/control ===
Tests: basic
Depends:
 build-essential,
 @,
Restrictions: allow-stderr

## skalibs 2.14.4.0

=== debian/changelog ===
skalibs (2.14.4.0-0antix1) unstable; urgency=medium

  [ ProwlerGr ]
  * New upstream release v2.14.4.0.

  [ anticapitalista ]
  * antiX build

 -- anticapitalista <antix@operamail.com>  Thu, 25 Sep 2025 16:38:29 +0300

skalibs (2.14.3.0-1experimental1) UNRELEASED; urgency=medium

  * Backported from Sid for 'init-diversity'.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 05 Apr 2025 22:22:22 +1000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: skalibs
-Section: libs
+Section: init-diversity
 Priority: optional
 Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- dpkg-dev (>= 1.22.5),
+ dpkg-dev (>= 1.21.22),
 Standards-Version: 4.7.0
 Homepage: https://skarnet.org/software/skalibs/
 Vcs-Git: https://salsa.debian.org/zhsj/skalibs.git
@@ -41,7 +41,7 @@
 
 Package: skalibs-dev
 Architecture: any
-Section: libdevel
+Section: init-diversity
 Multi-Arch: same
 Depends:
  libskarnet2.14t64 (= ${binary:Version}),
@@ -64,7 +64,7 @@
 
 Package: skalibs-doc
 Architecture: all
-Section: doc
+Section: init-diversity
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,14 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export LDFLAGS += -Wl,--fatal-warnings
 
+CONFIG_OPT += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
 CONFIG_OPT += --dynlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 CONFIG_OPT += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 CONFIG_OPT += --includedir=\$${prefix}/include/$(DEB_HOST_MULTIARCH)
 CONFIG_OPT += --sysdepdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/skalibs/sysdeps
 
 ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
-CONFIG_OPT += --with-sysdep-devurandom=yes
+CONFIG_OPT += --with-sysdep-devurandom=yes --with-sysdep-posixspawnearlyreturn=no
 endif
 
 %:
@@ -19,7 +20,7 @@
 
 # `make distclean` needs config.mak file
 override_dh_auto_clean-arch:
-	./configure
+	env -u CFLAGS -u CPPFLAGS -u CXXFLAGS -u LDFLAGS ./configure
 	dh_auto_clean
 
 override_dh_auto_configure-arch:

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
git://git.skarnet.org/skalibs \
refs/tags/v([\d\.]+)
